## GdauiRtEditor GdauiRtEditor |

## Synopsis

    struct              GdauiRtEditor;
    GtkWidget *         gdaui_rt_editor_new                 (void);
    gchar *             gdaui_rt_editor_get_contents        (GdauiRtEditor *editor);
    void                gdaui_rt_editor_set_contents        (GdauiRtEditor *editor,
                                                             const gchar *markup,
                                                             gint length);
    void                gdaui_rt_editor_set_editable        (GdauiRtEditor *editor,
                                                             gboolean editable);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkWidget
                   +----GtkContainer
                         +----GtkBox
                               +----GdauiRtEditor

## Implemented Interfaces

GdauiRtEditor implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Properties

      "buffer"                   GtkTextBuffer*        : Read
      "in-scrolled-window"       gboolean              : Read / Write
      "no-background"            gboolean              : Read / Write
      "show-markup"              gboolean              : Read / Write

## Signals

      "changed"                                        : Run Last

## Description

## Details

### struct GdauiRtEditor

    struct GdauiRtEditor;

### gdaui_rt_editor_new ()

    GtkWidget *         gdaui_rt_editor_new                 (void);

Since 4.2.2

### gdaui_rt_editor_get_contents ()

    gchar *             gdaui_rt_editor_get_contents        (GdauiRtEditor *editor);

Since 4.2.2

### gdaui_rt_editor_set_contents ()

    void                gdaui_rt_editor_set_contents        (GdauiRtEditor *editor,
                                                             const gchar *markup,
                                                             gint length);

Since 4.2.2

### gdaui_rt_editor_set_editable ()

    void                gdaui_rt_editor_set_editable        (GdauiRtEditor *editor,
                                                             gboolean editable);

Since 4.2.2

## Property Details

### The `"buffer"` property

      "buffer"                   GtkTextBuffer*        : Read

### The `"in-scrolled-window"` property

      "in-scrolled-window"       gboolean              : Read / Write

Default value: TRUE

### The `"no-background"` property

      "no-background"            gboolean              : Read / Write

Default value: FALSE

### The `"show-markup"` property

      "show-markup"              gboolean              : Read / Write

Default value: FALSE

## Signal Details

### The `"changed"` signal

    void                user_function                      (GdauiRtEditor *gdauirteditor,
                                                            gpointer       user_data)          : Run Last